
QGIS Application - Bug report #16366

error with pit remove algorithm in QGIS 2.18.4

2017-03-19 03:44 PM - Jorge Santos

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24276

Description

When I run the TauDEM's Pit Remove algorithm in latest version (2.18.4) I get following error: global name 'escapeAndJoin' is not

defined. See log for more details.

TauDEM utility and Microsoft HPC Pack 2012 are already installed.

History

#1 - 2017-04-11 03:57 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Target version changed from Version 2.14 to Version 2.18

- Operating System deleted (Windows)

- OS version deleted (10)

Should be fixed in latest point release.

#2 - 2017-04-11 03:58 AM - Alexander Bruy

- Status changed from Open to Closed

#3 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#4 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#6 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 127 to Processing/Core
